<?php

namespace Drupal\drupal_sheetjs\Helper;

/**
 * Provides helper constants for Drupal SheetJS module.
 */
class DrupalSheetJsHelper {
  /**
   * The ID of the export table.
   *
   * @var string
   */
  public static $dest_table_id = 'exportTableId';

  /**
   * The ID of the submit button.
   *
   * @var string
   */
  public static $submit_element_id = 'submitButtonId';

  /**
   * The ID of the submit full data button.
   *
   * @var string
   */
  public static $submit_full_element_id = 'submitFullButtonId';

  /**
   * The default current file name.
   *
   * @var string
   */
  public static $current_file_name = 'SheetJSTableExport';

  /**
   * The default full data file name.
   *
   * @var string
   */
  public static $full_data_file_name = 'SheetJSFullDataTableExport';

  /**
   * The default export type.
   *
   * @var int
   */
  public static $export_type = 10;

}
